Gets specific Loyalty Adjustment Reason by unique id
Gets specific Loyalty Adjustment Reason by unique id
Path Parameters
Loyalty Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Loyalty Adjustment Reason
LoyaltyAdjustmentReason
Loyalty Adjustment Reason Model
Loyalty Adjustment Reason Id.
Loyalty Adjustment Reason name
Loyalty Adjustment Reason IsSystem flag
Loyalty Adjustment Reason IsDeleted flag
Path Parameters
Headers
Updates Loyalty Adjustment Reason
Sample request:
PUT /loyaltyadjustmentreasons/12
{
"name": "Updated Loyalty Adjustment Reason name",
"is_deleted": false
}
Path Parameters
Loyalty Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Loyalty Adjustment Reason model
EmptyExample
Response
application/json
Response
Returns updated Loyalty Adjustment Reason
LoyaltyAdjustmentReason
Loyalty Adjustment Reason Model
Loyalty Adjustment Reason Id.
Loyalty Adjustment Reason name
Loyalty Adjustment Reason IsSystem flag
Loyalty Adjustment Reason IsDeleted flag
Path Parameters
Headers
Body
Deletes Loyalty Adjustment Reason by id
Deletes Loyalty Adjustment Reason by id
Path Parameters
Loyalty Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Loyalty Adjustment Reason deleted
Path Parameters
Headers
loyaltyadjustments
Creates Loyalty Adjustment
Sample request:
POST /loyaltyadjustments
{
"customer_id": 100001,
"customer_number": "100001",
"loyalty_points_delta": 50,
"adjustment_reason": {
"id": 1
}
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
EmptyExample
Response
application/json
Response
Loyalty Adjustment created
CustomerLoyaltyHistory
Customer Loyalty History model
Id
Created On
Order Item Model
Show Child Parameters
Loyalty Adjustment Reason Model
Show Child Parameters
Loyalty Points Delta
Loyalty Points Available
Ratio